package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

import java.math.BigDecimal;

/**
 * @author Shawn
 */
public class CashIn {
    @JSONField(name = "序号")
    private String id;
    @JSONField(name = "到款日期")
    private String cashInDate;
    @JSONField(name = "本次到款金额（元）")
    private BigDecimal cashInAmount;
    @JSONField(name = "开票序号")
    private String billId;
    @JSONField(name = "迅网项目号")
    private String xwProjectId;
    @JSONField(name = "项目名称")
    private String projectName;
    @JSONField(name = "需要说明的情况")
    private String explainInfo;
    @JSONField(name = "上传人")
    private String uploadPerson;
    @JSONField(name = "上传时间")
    private String uploadTime;

    public CashIn() {
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCashInDate() {
        return cashInDate;
    }

    public void setCashInDate(String cashInDate) {
        this.cashInDate = cashInDate;
    }

    public BigDecimal getCashInAmount() {
        return cashInAmount;
    }

    public void setCashInAmount(BigDecimal cashInAmount) {
        this.cashInAmount = cashInAmount;
    }

    public String getBillId() {
        return billId;
    }

    public void setBillId(String billId) {
        this.billId = billId;
    }

    public String getXwProjectId() {
        return xwProjectId;
    }

    public void setXwProjectId(String xwProjectId) {
        this.xwProjectId = xwProjectId;
    }

    public String getExplainInfo() {
        return explainInfo;
    }

    public void setExplainInfo(String explainInfo) {
        this.explainInfo = explainInfo;
    }

    public String getUploadPerson() {
        return uploadPerson;
    }

    public void setUploadPerson(String uploadPerson) {
        this.uploadPerson = uploadPerson;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }

    @Override
    public String toString() {
        return "CashIn{" +
                "id='" + id + '\'' +
                ", cashInDate='" + cashInDate + '\'' +
                ", cashInAmount=" + cashInAmount +
                ", billId='" + billId + '\'' +
                ", xwProjectId='" + xwProjectId + '\'' +
                ", projectName='" + projectName + '\'' +
                ", explainInfo='" + explainInfo + '\'' +
                ", uploadPerson='" + uploadPerson + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                '}';
    }
}
